<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RccConstants.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.jute.compiler.generated</a> &gt; <span class="el_source">RccConstants.java</span></div><h1>RccConstants.java</h1><pre class="source lang-java linenums">/* Generated By:JavaCC: Do not edit this line. RccConstants.java */
/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jute.compiler.generated;

public interface RccConstants {

  int EOF = 0;
  int MODULE_TKN = 11;
  int RECORD_TKN = 12;
  int INCLUDE_TKN = 13;
  int BYTE_TKN = 14;
  int BOOLEAN_TKN = 15;
  int INT_TKN = 16;
  int LONG_TKN = 17;
  int FLOAT_TKN = 18;
  int DOUBLE_TKN = 19;
  int USTRING_TKN = 20;
  int BUFFER_TKN = 21;
  int VECTOR_TKN = 22;
  int MAP_TKN = 23;
  int LBRACE_TKN = 24;
  int RBRACE_TKN = 25;
  int LT_TKN = 26;
  int GT_TKN = 27;
  int SEMICOLON_TKN = 28;
  int COMMA_TKN = 29;
  int DOT_TKN = 30;
  int CSTRING_TKN = 31;
  int IDENT_TKN = 32;

  int DEFAULT = 0;
  int WithinOneLineComment = 1;
  int WithinMultiLineComment = 2;

<span class="nc" id="L52">  String[] tokenImage = {</span>
    &quot;&lt;EOF&gt;&quot;,
    &quot;\&quot; \&quot;&quot;,
    &quot;\&quot;\\t\&quot;&quot;,
    &quot;\&quot;\\n\&quot;&quot;,
    &quot;\&quot;\\r\&quot;&quot;,
    &quot;\&quot;//\&quot;&quot;,
    &quot;&lt;token of kind 6&gt;&quot;,
    &quot;&lt;token of kind 7&gt;&quot;,
    &quot;\&quot;/*\&quot;&quot;,
    &quot;\&quot;*/\&quot;&quot;,
    &quot;&lt;token of kind 10&gt;&quot;,
    &quot;\&quot;module\&quot;&quot;,
    &quot;\&quot;class\&quot;&quot;,
    &quot;\&quot;include\&quot;&quot;,
    &quot;\&quot;byte\&quot;&quot;,
    &quot;\&quot;boolean\&quot;&quot;,
    &quot;\&quot;int\&quot;&quot;,
    &quot;\&quot;long\&quot;&quot;,
    &quot;\&quot;float\&quot;&quot;,
    &quot;\&quot;double\&quot;&quot;,
    &quot;\&quot;ustring\&quot;&quot;,
    &quot;\&quot;buffer\&quot;&quot;,
    &quot;\&quot;vector\&quot;&quot;,
    &quot;\&quot;map\&quot;&quot;,
    &quot;\&quot;{\&quot;&quot;,
    &quot;\&quot;}\&quot;&quot;,
    &quot;\&quot;&lt;\&quot;&quot;,
    &quot;\&quot;&gt;\&quot;&quot;,
    &quot;\&quot;;\&quot;&quot;,
    &quot;\&quot;,\&quot;&quot;,
    &quot;\&quot;.\&quot;&quot;,
    &quot;&lt;CSTRING_TKN&gt;&quot;,
    &quot;&lt;IDENT_TKN&gt;&quot;,
  };

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>